# pentester Cookbook | [![Cookbook Version](https://img.shields.io/cookbook/v/pentester.svg)](https://community.opscode.com/cookbooks/pentester) [![Build Status](https://travis-ci.org/sliim-cookbooks/pentester.svg?branch=master)](https://travis-ci.org/sliim-cookbooks/pentester) 

Pentester Chef cookbook - Install & configures some cool stuff for pentesting

## Requirements

#### cookbooks
- `git` - https://supermarket.chef.io/cookbooks/git
- `python` - https://supermarket.chef.io/cookbooks/python

#### platforms
- Debian 7
- Debian 8

## Usage

#### pentester::autopwn
Checkout [autowpn](https://github.com/nccgroup/autopwn), install dependencies and configures targets.

#### pentester::goofile
Checkout [goofile](https://github.com/saydulk/goofile)

#### pentester::discover
Checkout [discover](https://github.com/leebaird/discover)

#### pentester::sn1per
Checkout [Sn1per](https://github.com/1N3/Sn1per)
This recipe install packages that are only available in Kali linux APT repositories.
I recommend to use the [kali](https://supermarket.chef.io/cookbooks/kali) cookbook to setup your debian as a kali linux.

If you don't want these packages, you can override `node[pentester][sn1per][packages]` attribute,
or don't include this recipe in your run_list.

#### pentester::fuzzdb
Checkout [fuzzdb](https://github.com/fuzzdb-project/fuzzdb)

#### pentester::gitrob
Installs [gitrob](https://github.com/michenriksen/gitrob)

#### pentester::webshell
Checkouts [webshell](https://github.com/tennc/webshell)

#### pentester::isthisipbad
Checkouts [isthisipbad](https://github.com/jgamblin/isthisipbad)

#### pentester::nullsecurity
Checkouts [null-security tools](https://github.com/nullsecuritynet/tools)

#### pentester::veil-framework
Checkouts [null-security tools](https://github.com/Veil-Framework/)

#### pentester::smartphone-pentest-framework
Checkouts [null-security tools](https://github.com/georgiaw/Smartphone-Pentest-Framework)

## Attributes
#### pentester::autopwn
<table>
  <tr>
    <th>Key</th>
    <th>Type</th>
    <th>Description</th>
    <th>Default</th>
  </tr>
  <tr>
    <td><tt>['pentester']['autopwn']['git_repository']</tt></td>
    <td>String</td>
    <td>Repository to checkout</td>
    <td><tt>https://github.com/nccgroup/autopwn</tt></td>
  </tr>
  <tr>
    <td><tt>['pentester']['autopwn']['git_reference']</tt></td>
    <td>String</td>
    <td>Branch or tag to checkout</td>
    <td><tt>master</tt></td>
  </tr>
    <tr>
    <td><tt>['pentester']['autopwn']['install_dir']</tt></td>
    <td>String</td>
    <td>Directory where it will be installed</td>
    <td><tt>/opt/autopwn</tt></td>
  </tr>
  </tr>
    <tr>
    <td><tt>['pentester']['autopwn']['targets']</tt></td>
    <td>Hash</td>
    <td>List of targets to configure</td>
    <td><tt>See `attributes/autopwn.rb`</tt></td>
  </tr>
</table>

#### pentester::goofile
<table>
  <tr>
    <th>Key</th>
    <th>Type</th>
    <th>Description</th>
    <th>Default</th>
  </tr>
  <tr>
    <td><tt>['pentester']['goofile']['git_repository']</tt></td>
    <td>String</td>
    <td>Repository to checkout</td>
    <td><tt>https://github.com/saydulk/goofile</tt></td>
  </tr>
  <tr>
    <td><tt>['pentester']['goofile']['git_reference']</tt></td>
    <td>String</td>
    <td>Branch or tag to checkout</td>
    <td><tt>master</tt></td>
  </tr>
    <tr>
    <td><tt>['pentester']['goofile']['install_dir']</tt></td>
    <td>String</td>
    <td>Directory where it will be installed</td>
    <td><tt>/opt/goofile</tt></td>
  </tr>
</table>

#### pentester::discover
<table>
  <tr>
    <th>Key</th>
    <th>Type</th>
    <th>Description</th>
    <th>Default</th>
  </tr>
  <tr>
    <td><tt>['pentester']['discover']['git_repository']</tt></td>
    <td>String</td>
    <td>Repository to checkout</td>
    <td><tt>https://github.com/leebaird/discover</tt></td>
  </tr>
  <tr>
    <td><tt>['pentester']['discover']['git_reference']</tt></td>
    <td>String</td>
    <td>Branch or tag to checkout</td>
    <td><tt>master</tt></td>
  </tr>
    <tr>
    <td><tt>['pentester']['discover']['install_dir']</tt></td>
    <td>String</td>
    <td>Directory where it will be installed</td>
    <td><tt>/opt/discover</tt></td>
  </tr>
</table>

#### pentester::sn1per
<table>
  <tr>
    <th>Key</th>
    <th>Type</th>
    <th>Description</th>
    <th>Default</th>
  </tr>
  <tr>
    <td><tt>['pentester']['sn1per']['git_repository']</tt></td>
    <td>String</td>
    <td>Repository to checkout</td>
    <td><tt>https://github.com/1N3/Sn1per</tt></td>
  </tr>
  <tr>
    <td><tt>['pentester']['sn1per']['git_reference']</tt></td>
    <td>String</td>
    <td>Branch or tag to checkout</td>
    <td><tt>master</tt></td>
  </tr>
  <tr>
    <td><tt>['pentester']['sn1per']['install_dir']</tt></td>
    <td>String</td>
    <td>Directory where it will be installed</td>
    <td><tt>/opt/Sn1per</tt></td>
  </tr>
  <tr>
    <td><tt>['pentester']['sn1per']['additional_repos']</tt></td>
    <td>Hash</td>
    <td>Additional repositories to checkout.</td>
    <td><tt>See `attributes/sn1per.rb`</tt></td>
  </tr>
  <tr>
    <td><tt>['pentester']['sn1per']['packages']</tt></td>
    <td>Array</td>
    <td>Packages to install, mostly required packages are only availables in kali linux repos.</td>
    <td><tt>Long list</tt></td>
  </tr>
</table>

#### pentester::fuzzdb
<table>
  <tr>
    <th>Key</th>
    <th>Type</th>
    <th>Description</th>
    <th>Default</th>
  </tr>
  <tr>
    <td><tt>['pentester']['fuzzdb']['git_repository']</tt></td>
    <td>String</td>
    <td>Repository to checkout</td>
    <td><tt>https://github.com/fuzzdb-project/fuzzdb</tt></td>
  </tr>
  <tr>
    <td><tt>['pentester']['fuzzdb']['git_reference']</tt></td>
    <td>String</td>
    <td>Branch or tag to checkout</td>
    <td><tt>master</tt></td>
  </tr>
    <tr>
    <td><tt>['pentester']['fuzzdb']['install_dir']</tt></td>
    <td>String</td>
    <td>Directory where it will be installed</td>
    <td><tt>/opt/fuzzdb</tt></td>
  </tr>
</table>

#### pentester::fuzzdb
<table>
  <tr>
    <th>Key</th>
    <th>Type</th>
    <th>Description</th>
    <th>Default</th>
  </tr>
  <tr>
    <td><tt>['pentester']['gitrob']['install_pgsql']</tt></td>
    <td>Boolean</td>
    <td>Install postgresql with postgresql community cookbook</td>
    <td><tt>true</tt></td>
  </tr>
  <tr>
    <td><tt>['pentester']['gitrob']['pg_user']</tt></td>
    <td>String</td>
    <td>Postgresql user name</td>
    <td><tt>gitrob</tt></td>
  </tr>
  <tr>
    <td><tt>['pentester']['gitrob']['pg_pass']</tt></td>
    <td>String</td>
    <td>Postgresql user passord</td>
    <td><tt>gitrob</tt></td>
  </tr>
  <tr>
    <td><tt>['pentester']['gitrob']['pg_db']</tt></td>
    <td>String</td>
    <td>Postgresql database name</td>
    <td><tt>gitrob</tt></td>
  </tr>
  <tr>
    <td><tt>['pentester']['gitrob']['gh_auth_token']</tt></td>
    <td>String</td>
    <td>Github auth token</td>
    <td><tt>aabbccddeeff00112233445566778899</tt></td>
  </tr>
  <tr>
    <td><tt>['pentester']['gitrob']['packages']</tt></td>
    <td>Array</td>
    <td>Package to install</td>
    <td><tt>Auto defined for targeted platform</tt></td>
  </tr>
  <tr>
    <td><tt>['pentester']['gitrob']['gem_binary]</tt></td>
    <td>String</td>
    <td>Binary use to install gem package</td>
    <td><tt>Auto defined for targeted platform</tt></td>
  </tr>
</table>

#### pentester::webshell
<table>
  <tr>
    <th>Key</th>
    <th>Type</th>
    <th>Description</th>
    <th>Default</th>
  </tr>
  <tr>
    <td><tt>['pentester']['webshell']['git_repository']</tt></td>
    <td>String</td>
    <td>Repository to checkout</td>
    <td><tt>https://github.com/tennc/webshell</tt></td>
  </tr>
  <tr>
    <td><tt>['pentester']['webshell']['git_reference']</tt></td>
    <td>String</td>
    <td>Branch or tag to checkout</td>
    <td><tt>master</tt></td>
  </tr>
    <tr>
    <td><tt>['pentester']['webshell']['install_dir']</tt></td>
    <td>String</td>
    <td>Directory where it will be installed</td>
    <td><tt>/opt/webshell</tt></td>
  </tr>
</table>

#### pentester::isthisipbad
<table>
  <tr>
    <th>Key</th>
    <th>Type</th>
    <th>Description</th>
    <th>Default</th>
  </tr>
  <tr>
    <td><tt>['pentester']['isthisipbad']['git_repository']</tt></td>
    <td>String</td>
    <td>Repository to checkout</td>
    <td><tt>https://github.com/jgamblin/isthisipbad</tt></td>
  </tr>
  <tr>
    <td><tt>['pentester']['isthisipbad']['git_reference']</tt></td>
    <td>String</td>
    <td>Branch or tag to checkout</td>
    <td><tt>master</tt></td>
  </tr>
    <tr>
    <td><tt>['pentester']['isthisipbad']['install_dir']</tt></td>
    <td>String</td>
    <td>Directory where it will be installed</td>
    <td><tt>/opt/isthisipbad</tt></td>
  </tr>
</table>

## Contributing

1. Fork the repository on Github
2. Create a named feature branch (like `add_component_x`)
3. Write your change
4. Write tests for your change (if applicable)
5. Run the tests, ensuring they all pass
6. Submit a Pull Request using Github

## License and Authors

Authors: Sliim <sliim@mailoo.org>

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.
