# -*- coding: utf-8 -*-
#
# Cookbook Name:: pentester
# Attributes:: gitrob
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

default['pentester']['gitrob']['install_pgsql'] = true

# TODO: Data bags support

default['pentester']['gitrob']['pg_user'] = 'gitrob'
default['pentester']['gitrob']['pg_pass'] = 'gitrob'
default['pentester']['gitrob']['pg_db'] = 'gitrob'
default['pentester']['gitrob']['gh_auth_token'] =
  'aabbccddeeff00112233445566778899'

case node['platform_family']
when 'debian'
  case
  when node['platform_version'].to_f < 8.0
    default['pentester']['gitrob']['packages'] = ['ruby1.9.3',
                                                  'ruby-dev',
                                                  'postgresql-server-dev-9.1']
    default['pentester']['gitrob']['gem_binary'] = '/usr/bin/gem1.9.3'
  else
    default['pentester']['gitrob']['packages'] = ['ruby2.1',
                                                  'ruby2.1-dev',
                                                  'postgresql-server-dev-9.4']
    default['pentester']['gitrob']['gem_binary'] = '/usr/bin/gem2.1'
  end
else
  default['pentester']['gitrob']['packages'] = []
  default['pentester']['gitrob']['gem_binary'] = '/usr/bin/gem'
end
