# -*- coding: utf-8 -*-
#
# Cookbook Name:: pentester
# Recipe:: gitrob
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

node['pentester']['gitrob']['packages'].each do |pkg|
  package pkg
end

gem_package 'gitrob' do
  gem_binary node['pentester']['gitrob']['gem_binary']
end

template '/root/.gitrobrc' do
  source 'gitrobrc.erb'
  variables gitrob: node['pentester']['gitrob']
end

if node['pentester']['gitrob']['install_pgsql']
  include_recipe 'postgresql::server'
end

include_recipe 'database::postgresql'

postgresql_connection_info = {
  host: '127.0.0.1',
  port: 5432,
  username: 'postgres',
  password: node['postgresql']['password']['postgres']
}

postgresql_database_user node['pentester']['gitrob']['pg_user'] do
  connection postgresql_connection_info
  password node['pentester']['gitrob']['pg_pass']
  action :create
end

postgresql_database node['pentester']['gitrob']['pg_db'] do
  connection postgresql_connection_info
  owner node['pentester']['gitrob']['pg_user']
  action :create
end
